
#ifndef AUTIL_APP_STRING__HH
#define AUTIL_APP_STRING__HH

#include <string>
#include <pspell/app_string.hh>

namespace autil {

  class AppString : public PspellAppendableString 
  {
    string * str_;
  public:
    AppString(string * s) : str_(s) {}
    void append (const char * str) 
    {
      str_->append(str);
    }
    void append (const char * str, unsigned int size) 
    {
      str_->append(str, size);
    }
  };

}

#endif
